Getting Started
    Native Components
    • Animation
    • Buttons
    • Charts
    • Data Query
    • Data Tools
    • Date Inputs
    • Date Math
    • Dialogs
    • Drawing
    • Dropdowns
    • Editor
    • Excel Export
    • File Saver
    • Form
    • Gauges
    • Gridupdated
    • Indicatorsupdated
    • Inputsupdated
    • Labels
    • Layoutupdated
    • Notificationnew
    • PDF Processing
    • Popup
    • Progress Bars
    • Schedulernew
    • ScrollViewnew
    • Tooltip
    • TreeViewnew
    • Upload
    Wrapper Components
    Styling & Themes
    Common Features
    Project Setup
    Changelog

Kendo UI for Vue ProgressBars Overview

The Kendo UI for Vue ProgressBars package contains the ProgressBar components.

The ProgressBars components are part of the Kendo UI for Vue library and are distributed through NPM under the kendo-vue-progressbars package.

The Progress Bars Package is part of Kendo UI for Vue, a professional grade UI library with 90+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.

Basic Usage

The following example demonstrates the ProgressBar components in action.

Example
View Source
Change Theme:

Installation

  1. Download and install the package. Use Node.js v5.0.0 or later.

    npm install --save @progress/kendo-vue-progressbars @progress/kendo-licensing
  2. Once installed, import the package module.

    // ES2015 module syntax
    import { Progressbar } from '@progress/kendo-vue-progressbars';
    // CommonJS format
    const { Progressbar } = require('@progress/kendo-vue-progressbars');
  3. You are required to install one of the Kendo UI for Vue themes to style your components. For more information on how to add the styles, refer to the article on getting started.

  4. Follow the instructions on the My License page to activate your license. You can skip this step if your application already contains a Kendo UI for Vue license file.

Dependencies

The ProgressBars package requires you to install the following peer dependencies in your application:

  • vue 2.6.14 or 3.0.0
  • @progress/kendo-licensing

In this article

Not finding the help you need?